/** Arduino Processing Example
 *  Tiffany Tseng
 *  Description: This example sends a potentiometer value and receives
 *               serial input from processing to turn on a light
 *  Last Updated: 1/22/15
 */

int potPin = A0;
int ledPin = 13;
char val;

void setup(){
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
}

void loop(){
 
  Serial.println(analogRead(potPin));
  
  if(Serial.available()){
    val = Serial.read();
  }
  
  if(val=='H'){
    digitalWrite(ledPin, HIGH);
  }else{
    digitalWrite(ledPin, LOW);
  }
}
